This URL gets the scanning exception on a Sensor.
Resource URL
GET /sensor/<sensor_id>/scanningexception
Request Parameters
URL Parameters:
| Field Name | Description | Data Type | Mandatory |
|---|---|---|---|
| sensor_id | Sensor Id | Number | Yes |
Payload Parameters:
| Field Name | Description | Data Type |
|---|---|---|
| ScanningExceptionResponseElement | Object that contains the details of the field to be sent | Object |
Details of fields in ScanningExceptionResponseElement:
| Field Name | Description | Data Type |
|---|---|---|
| tcpRules | Object containing TCP rule settings | Object |
| udpRules | Object containing UDP rule settings | Object |
| vlanRules | Object containing VLAN rule settings | Object |
Details of fields in tcpRules:
| Field Name | Description | Data Type |
|---|---|---|
| tcpPortRangeList | List of objects containing TCP port range setting | Object |
Details of object in tcpPortRangeList:
| Field Name | Description | Data Type |
|---|---|---|
| tcpPortRange | TCP port range in format "from-to" | String |
Details of fields in udpRules:
| Field Name | Description | Data Type |
|---|---|---|
| udpPortRangeList | List of objects containing UDP port range setting | Object |
Details of object in udpPortRangeList:
| Field Name | Description | Data Type |
|---|---|---|
| udpPortRange | UDP port range in format "from-to" | String |
Details of fields in vlanRules:
| Field Name | Description | Data Type |
|---|---|---|
| vlanIdRangeList | List of objects containing UDP port range setting | Object |
Details of object in vlanIdRangeList:
| Field Name | Description | Data Type |
|---|---|---|
| vlanIdRange | Vlan Id range in format "from-to" | String |
| portPairName | Name of the port pair | String |
Response Parameters
Following fields are returned if the request parameters are correct, otherwise error details are returned.
| Field Name | Description | Data Type |
|---|---|---|
| status | Set to 1 if the operation was successful, -1 otherwise | Number |
Example
Request
GET https://%3CNSM_IP%3E/sdkapi/sensor/%3Csensor_id%3E/scanningexception
Payload
{
"tcpRules":
{
"tcpPortRangeList":
[
{
"tcpPortRange": "100-100"
},
{
"tcpPortRange": "103-110"
}
]
},
"udpRules":
{
"udpPortRangeList":
[
{
"udpPortRange": "10-10"
}
]
},
"vlanRules":
{
"vlanIdRangeList":
[
{
"vlanIdRange": "15-20",
"portPairName": "1A-1B"
}
]
}
}
Response
{
"status": 1
}
Error Information
Following error codes are returned by this URL:
| S.No | HTTP Error Code | SDK API errorId | SDK API errorMessage |
|---|---|---|---|
| 1 | 400 | 1501 | Scanning exception is not supported for the specified Sensor |
| 2 | 400 | 1106 | Invalid Sensor |